test-cloud
latest
false
- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs
Wichtig :
Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.

Test Cloud-API-Handbuch
Letzte Aktualisierung 7. Apr. 2026
Einstellungen abrufen
Verwenden Sie diesen Endpunkt, um die Liste der Schlüssel-Wert-Paare für E-Mail- und Authentifizierungseinstellungen abzurufen.
API-Endpunkt
GET {accessURL}/{organizationName}/identity_/api/Setting
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
Scopes
Folgende Scopes sind erforderlich:
- PM.Setting
- PM.Setting.Read
Anforderungsheader
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Hinweis:
Um das {access_token} zu erhalten, müssen Sie sich mit einer der hier beschriebenen Methoden authentifizieren.
Abfrageparameter
| Abfrageparameter | Datentyp | Beschreibung |
|---|---|---|
key (optional) | String | Geben Sie den Namen der Einstellung ein, die Sie abrufen möchten. Um beispielsweise die SMTP-Domäneneinstellung abzurufen, geben Sie key=Email.Smtp.Domain ein. |
partitionGlobalId (optional) | String | Die ID der Organisation, für die Sie die Einstellungen abrufen möchten. |
userId (optional) | String | Die ID des Benutzers, für den Sie die Einstellungen abrufen möchten. |
Antworten
200 OK
Gibt die abgefragten Roboterkonten zurück.
Beispielanforderung
Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.
- Ihre
{baseURL}ist: https://cloud.uipath.com/{organizationName}/identity_ - Ihre
{access_token}ist:1234(aus Gründen der Länge). - Die
{partitionGlobalId}lautet:3fa85f64-5717-4562-b3fc-2c963f66afa6 - Sie möchten die globalen E-Mail-Einstellungen abrufen, also melden Sie sich als Hostadministrator an. In diesem Fall geben Sie keine
userIDan.
Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Setting?partitionGlobalId=3fa85f64-5717-4562-b3fc-2c963f66afa6&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Setting?partitionGlobalId=3fa85f64-5717-4562-b3fc-2c963f66afa6&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Hier ist der Antworttext für einen erfolgreichen Aufruf:
[
{
"id": 6,
"key": "Email.Smtp.FromEmail",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 7,
"key": "Email.Smtp.FromDisplayName",
"value": "Hogwarts server - 21.10 - Clean",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 15,
"key": "Email.Smtp.Domain",
"value": "",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 16,
"key": "Email.Smtp.EnableSsl",
"value": "true",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 17,
"key": "Email.Smtp.Port",
"value": "587",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 18,
"key": "Email.Smtp.UseDefaultCredentials",
"value": "false",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 19,
"key": "Email.Smtp.UserName",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 20,
"key": "Email.Smtp.Host",
"value": "smtp.gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 21,
"key": "Email.Smtp.Password",
"value": "protego-spell",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
}
]
[
{
"id": 6,
"key": "Email.Smtp.FromEmail",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 7,
"key": "Email.Smtp.FromDisplayName",
"value": "Hogwarts server - 21.10 - Clean",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 15,
"key": "Email.Smtp.Domain",
"value": "",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 16,
"key": "Email.Smtp.EnableSsl",
"value": "true",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 17,
"key": "Email.Smtp.Port",
"value": "587",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 18,
"key": "Email.Smtp.UseDefaultCredentials",
"value": "false",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 19,
"key": "Email.Smtp.UserName",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 20,
"key": "Email.Smtp.Host",
"value": "smtp.gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 21,
"key": "Email.Smtp.Password",
"value": "protego-spell",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
}
]